/*
 * @Author: weisheng
 * @Date: 2023-04-17 12:51:22
 * @LastEditTime: 2023-04-20 15:01:53
 * @LastEditors: weisheng
 * @Description:
 * @FilePath: \uniapp-vue3-fant-ts\src\api\DemoApi.ts
 * 记得注释
 */
import http from '@/http/HttpClient';
import BaseResponse from '@/model/BaseResponse';
import Chanel from '@/model/Chanel';
import UserInfo from '@/model/UserInfo';
// 这里将API方法统一管理
export default class DemoApi {
  // 采购管理  表单配置信息
  static getConfig(data): Promise<BaseResponse<Chanel[]>> {
    return http
      .server()
      .get('visual-api/paas/visualdev/OnlineDev/' + data + '/Config')
      .then((res) => {
        return res;
      });
  }

  // 采购管理-项目列表
  static getProjectList(): Promise<BaseResponse<Chanel[]>> {
    return http
      .server()
      .get('bi-api/report/dataapi/project_info')
      .then((res) => {
        return res;
      });
  }

  // 采购管理-表单数据列表
  static getFormList(data): Promise<BaseResponse<Chanel[]>> {
    return http
      .server()
      .post('bi-api/cube/browser/' + data.dbLinkId, data.form)
      .then((res) => {
        return res.data;
      });
  }

  // 打款回款-账户列表
  static getAccountList(data): Promise<BaseResponse<Chanel[]>> {
    return http
      .server()
      .get('bi-api/report/dataapi/payment_api?ppid=' + data)
      .then((res) => {
        return res.data;
      });
  }

  //编辑数据
  static editData(data): Promise<BaseResponse<Chanel[]>> {
    return http
      .server()
      .put(
        'visual-api/paas/visualdev/OnlineDev/v2/' +
          data.formKey +
          '/' +
          data.id,
        data.data
      )
      .then((res) => {
        return res.data;
      });
  }

  // 新增数据
  static addData(data): Promise<BaseResponse<Chanel[]>> {
    return http
      .server()
      .post('visual-api/paas/visualdev/OnlineDev/v2/' + data.formKey, data.data)
      .then((res) => {
        return res.data;
      });
  }

  // 删除数据
  static deleteData(data): Promise<BaseResponse<Chanel[]>> {
    return http
      .server()
      .delete(
        'visual-api/paas/visualdev/OnlineDev/' +
          data.formKey +
          data.id +
          '?dataJson=' +
          data.jsonData
      )
      .then((res) => {
        return res.data;
      });
  }

  // 获取油品信息
  static getOilInfo(data): Promise<BaseResponse<Chanel[]>> {
    return http
      .server()
      .get(
        'bi-api/report/dataapi/project_oil_info?projectid=' +
          data.projectid +
          '&ypmc=' +
          data.ypmc
      )
      .then((res) => {
        return res.data;
      });
  }

  // 获取收款账户
  static getAccountInfo(data): Promise<BaseResponse<Chanel[]>> {
    return http
      .server()
      .get('bi-api/report/dataapi/collection_api?projectid=' + data)
      .then((res) => {
        return res.data;
      });
  }

  // 获取付款账户
  static getPayAccountInfo(data): Promise<BaseResponse<Chanel[]>> {
    return http
      .server()
      .get('bi-api/report/dataapi/payment_api?ppid=' + data)
      .then((res) => {
        return res.data;
      });
  }
}
